﻿namespace TwitterButtler.Views
{
	#region #using Directives

	using System.Diagnostics;
	using System.Windows;
	using System.Windows.Input;

	using ViewModels;

	#endregion

	/// <summary>
	/// Interaction logic for TwitterButtlerWindow.xaml
	/// </summary>
	public partial class TwitterButtlerWindow : Window
	{
		public TwitterButtlerWindow()
		{
			InitializeComponent();
		}

		private TwitterButtlerViewModel ViewModel
		{
			[DebuggerStepThrough]
			get { return (TwitterButtlerViewModel) DataContext; }
		}

		private void OnAccountBoxKeyDown(object sender, KeyEventArgs e)
		{
			ViewModel.OnPasswordBoxKeyDown(sender, e);
		}

		private void OnPasswordBoxKeyDown(object sender, KeyEventArgs e)
		{
			ViewModel.OnPasswordBoxKeyDown(sender, e);
		}
	}
}